Android Bindings for Flutter
============================

[![Project license](https://img.shields.io/badge/license-Public%20Domain-blue.svg)](https://unlicense.org)
[![Pub package](https://img.shields.io/pub/v/flutter_android.svg)](https://pub.dartlang.org/packages/flutter_android)
[![Dartdoc reference](https://img.shields.io/badge/dartdoc-reference-blue.svg)](https://pub.dartlang.org/documentation/flutter_android/latest/)
[![Travis CI build status](https://img.shields.io/travis/drydart/flutter_android/master.svg)](https://travis-ci.org/drydart/flutter_android)

Compatibility
-------------

Android only.

Reference
---------

### [`android`](https://pub.dartlang.org/documentation/flutter_android/latest/android/android-library.html)

    import 'package:flutter_android/android.dart' as android;

### [`android_app`](https://pub.dartlang.org/documentation/flutter_android/latest/android_app/android_app-library.html)

    import 'package:flutter_android/android_app.dart' as android_app;

- [`WallpaperColors`](https://pub.dartlang.org/documentation/flutter_android/latest/android_app/WallpaperColors-class.html)

### [`android_content`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/android_content-library.html)

    import 'package:flutter_android/android_content.dart' as android_content;

- [`ComponentName`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/ComponentName-class.html)
- [`Context.cacheDir`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Context/cacheDir.html)
- [`Context.codeCacheDir`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Context/codeCacheDir.html)
- [`Context.dataDir`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Context/dataDir.html)
- [`Context.externalCacheDir`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Context/externalCacheDir.html)
- [`Context.externalFilesDir`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Context/externalFilesDir.html)
- [`Context.filesDir`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Context/filesDir.html)
- [`Context.getSystemService(String)`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Context/getSystemService.html)
- [`Context.noBackupFilesDir`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Context/noBackupFilesDir.html)
- [`Context.packageCodePath`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Context/packageCodePath.html)
- [`Context.packageName`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Context/packageName.html)
- [`Context.packageResourcePath`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Context/packageResourcePath.html)
- [`Intent`](https://pub.dartlang.org/documentation/flutter_android/latest/android_content/Intent-class.html)

### [`android_database`](https://pub.dartlang.org/documentation/flutter_android/latest/android_database/android_database-library.html)

    import 'package:flutter_android/android_database.dart' as android_database;

- [`Cursor`](https://pub.dartlang.org/documentation/flutter_android/latest/android_database/Cursor-class.html)
- [`DatabaseUtils`](https://pub.dartlang.org/documentation/flutter_android/latest/android_database/DatabaseUtils-class.html)

### [`android_os`](https://pub.dartlang.org/documentation/flutter_android/latest/android_os/android_os-library.html)

    import 'package:flutter_android/android_os.dart' as android_os;

- [`Bundle`](https://pub.dartlang.org/documentation/flutter_android/latest/android_os/Bundle-class.html)
- [`Environment.dataDirectory`](https://pub.dartlang.org/documentation/flutter_android/latest/android_os/Environment/dataDirectory.html)
- [`Environment.downloadCacheDirectory`](https://pub.dartlang.org/documentation/flutter_android/latest/android_os/Environment/downloadCacheDirectory.html)
- [`Environment.externalStorageDirectory`](https://pub.dartlang.org/documentation/flutter_android/latest/android_os/Environment/externalStorageDirectory.html)
- [`Environment.externalStorageState`](https://pub.dartlang.org/documentation/flutter_android/latest/android_os/Environment/externalStorageState.html)
- [`Environment.rootDirectory`](https://pub.dartlang.org/documentation/flutter_android/latest/android_os/Environment/rootDirectory.html)
- [`Environment.isExternalStorageEmulated`](https://pub.dartlang.org/documentation/flutter_android/latest/android_os/Environment/isExternalStorageEmulated.html)
- [`Environment.isExternalStorageRemovable`](https://pub.dartlang.org/documentation/flutter_android/latest/android_os/Environment/isExternalStorageRemovable.html)

Cross-Reference
---------------

### Packages

| Flutter | Android |
| :--- | :--- |
| `android_app` | `android.app` |
| `android_bluetooth` | `android.bluetooth` |
| `android_content` | `android.content` |
| `android_database` | `android.database` |
| `android_hardware` | `android.hardware` |
| `android_location` | `android.location` |
| `android_media` | `android.media` |
| `android_net` | `android.net` |
| `android_nfc` | `android.nfc` |
| `android_os` | `android.os` |
| `android_provider` | `android.provider` |
| `android_security` | `android.security` |
| `android_speech` | `android.speech` |
| `android_telephony` | `android.telephony` |
| `android_view` | `android.view` |
| `android_os` | `android.os` |

### Classes

| Flutter | Android |
| :--- | :--- |
| `android_app.Activity` | `android.app.Activity` |
| `android_app.ActivityManager` | `android.app.ActivityManager` |
| `android_app.AlarmManager` | `android.app.AlarmManager` |
| `android_app.AuthenticationRequiredException` | `android.app.AuthenticationRequiredException` |
| `android_app.DownloadManager` | `android.app.DownloadManager` |
| `android_app.KeyguardManager` | `android.app.KeyguardManager` |
| `android_app.Notification` | `android.app.Notification` |
| `android_app.NotificationBuilder` | `android.app.Notification.Builder` |
| `android_app.NotificationManager` | `android.app.NotificationManager` |
| `android_app.SearchManager` | `android.app.SearchManager` |
| `android_app.WallpaperColors` | `android.app.WallpaperColors` |
| `android_app.WallpaperInfo` | `android.app.WallpaperInfo` |
| `android_app.WallpaperManager` | `android.app.WallpaperManager` |
| `android_content.ActivityNotFoundException` | `android.content.ActivityNotFoundException` |
| `android_content.ComponentName` | `android.content.ComponentName` |
| `android_content.Context` | `android.content.Context` |
| `android_content.Intent` | `android.content.Intent` |
| `android_content.IntentFilter` | `android.content.IntentFilter` |
| `android_content.SharedPreferences` | `android.content.SharedPreferences` |
| `android_database.Cursor` | `android.database.Cursor` |
| `android_database.CursorIndexOutOfBoundsException` | `android.database.CursorIndexOutOfBoundsException` |
| `android_database.DatabaseUtils` | `android.database.DatabaseUtils` |
| `android_database.SQLException` | `android.database.SQLException` |
| `android_os.BatteryManager` | `android.os.BatteryManager` |
| `android_os.Build` | `android.os.Build` |
| `android_os.Bundle` | `android.os.Bundle` |
| `android_os.Environment` | `android.os.Environment` |
| `android_os.HardwarePropertiesManager` | `android.os.HardwarePropertiesManager` |
| `android_os.Parcel` | `android.os.Parcel` |
| `android_os.Parcelable` | `android.os.Parcelable` |
| `android_os.PowerManager` | `android.os.PowerManager` |
| `android_os.Process` | `android.os.Process` |
| `android_os.StatFs` | `android.os.StatFs` |
| `android_os.SystemClock` | `android.os.SystemClock` |
| `android_os.UserManager` | `android.os.UserManager` |
| `android_os.VibrationEffect` | `android.os.VibrationEffect` |
| `android_os.Vibrator` | `android.os.Vibrator` |
